Subject: bug#25370: closed (Re: bug#27634: 25.2.1; C-g does not quit register-read-with-preview)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Jul 2017 02:46:03 +0000

Your bug report

#27634: 25.1.90; Can't C-g out of register-read-with-preview

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27634: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27634
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27634: 25.2.1; C-g does not quit register-read-with-preview
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jul 2017 11:45:11 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Tino Calancha <[email-masked]> writes:

> On Fri, 21 Jul 2017, Eli Zaretskii wrote:
>
>> Looks good, thanks.  (I didn't test the code, but I assume you did.)
> Yes i tested it.
> Thank you.  I will push it next week if i don't get more communications.
Fixed in master branch as commit 35954cb92b8cd4ad093756d171688343bab02c2e

Subject: 25.1.90; Can't C-g out of register-read-with-preview
From: Allen Li <[email-masked]>
To: [email-masked]
Date: Thu, 5 Jan 2017 17:34:48 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

It's not possible to C-g out of register-read-with-preview.  For
example, when saving text to a register with C-x r s, if the user tries
to C-g to cancel, the text will instead be saved to the C-g register.

This can have bad consequences if for example a user accidentally saves
a window configuration to C-g, then accidentally restores it, destroying
his current workspace.  This is also generally unintuitive for the user
as C-g is supposed to be the universal abort command.

In GNU Emacs 25.1.90.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8),
modified by Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 14.04 LTS